/*
    Meganizer - Media Organzier is a media management software
    Copyright (C) 2010  EngSaS - Engineering Solutions and Services Langenbach. All rights reserved.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef DBBACKUPDIALOG_H
#define DBBACKUPDIALOG_H

#include "libmacro.h"

#include <mdialog.h>

class DBBackup;
class MPushButton;

class EXPORT_DLL DBBackupDialog : public MDialog
{
	Q_OBJECT
	public:
		DBBackupDialog(QWidget *parent = 0, Qt::WindowFlags flags = 0);
		
	private slots:
		void finish();
		void abort();
		void exportStarted();
		void exportFinished(bool result);
		
	private:
		DBBackup *dbBackup;
		MPushButton *exportButton, *closeButton;
		bool doneSuccessfully, inProgress;
};

#endif // DBBACKUPDIALOG_H
